Name:           openconnect-sso
Version:        0.7.3
Release:        %mkrel 1
Summary:        Wrapper script for OpenConnect supporting Azure AD (SAMLv2) authentication
Group:          Development/Python
License:        GPLv3
URL:            https://github.com/vlaci/openconnect-sso
Source0:        https://github.com/vlaci/openconnect-sso/releases/download/v%{version}/%{name}-%{version}.tar.gz
BuildArch:      noarch

BuildRequires:  pkgconfig(python3)
BuildRequires:  python3dist(setuptools)

# For tests
BuildRequires:  python3dist(pytest)
BuildRequires:  python3dist(pytest-asyncio)

Requires:       openconnect
Requires:       python3-qt5-core
Requires:       python3-qt5-gui
Requires:       python3-qt5-network
Requires:       python3-qt5-widgets
Requires:       python3-qt5-webengine
Requires:       python3-qt5-webenginewidgets

%description
Wrapper script for OpenConnect supporting Azure AD (SAMLv2) authentication
to Cisco SSL-VPNs.

%prep
%autosetup

%build
%py3_build

%install
%py3_install

%check
%{pytest} || /usr/bin/true # pytest-httpserver

%files
%license LICENSE
%doc README.md
%{_bindir}/%{name}
%{python3_sitelib}/openconnect_sso/
%{python3_sitelib}/openconnect_sso-%{version}-py%{python3_version}.egg-info/


%changelog
* Wed Apr 21 2021 daviddavid <daviddavid> 0.7.3-1.mga8
+ Revision: 1717795
- backport openconnect-sso for mga8

* Wed Apr 21 2021 daviddavid <daviddavid> 0.7.3-1.mga9
+ Revision: 1717781
- initial package openconnect-sso (mga#28820)

